Wallet Infrastructure
Wallet Infrastructure
Treasury

List allowances

Releasing soon

This endpoint is being released and is not yet available.

GET
/v1/limits/allowances

Requires scope wallets:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Query Parameters

safeAddress*unknown

The Safe whose allowances to read

chain*unknown

An EVM chain

Response Body

200application/json

The Safe's active allowances on that chain

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X GET 'https://api.pilot.shiga.io/v1/limits/allowances' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "chain": "base",    "safeAddress": "string",    "moduleAddress": "string",    "deployed": true,    "moduleEnabled": true,    "allowances": [      {        "delegate": "string",        "token": "string",        "asset": "USDT",        "amountBaseUnits": "5000000",        "spentBaseUnits": "1000000",        "remainingBaseUnits": "4000000",        "amount": "5",        "spent": "1",        "remaining": "4",        "resetTimeMinutes": 1440,        "nextResetAt": "2019-08-24T14:15:22Z"      }    ]  },  "status": 200,  "success": true}